
package de.ivu.elect.presentation.search.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.search.entity.BenutzerSuchparameter;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(BenutzerSuchparameterActionMenu.COMPONENT_NAME)
public class BenutzerSuchparameterActionMenu extends AbstractActionMenuModelBuilder<BenutzerSuchparameter> {

  public static final String COMPONENT_NAME = "benutzerSuchparameterActionMenu";

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BenutzerSuchparameterDeleteAction benutzerSuchparameterDeleteAction;

  public BenutzerSuchparameterActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<BenutzerSuchparameter>> getActionEntriesSorted() {
    List<ActionEntry<BenutzerSuchparameter>> result = new ArrayList<>();

    result.add(benutzerSuchparameterDeleteAction);

    return result;
  }
}
